from django.utils.translation import ugettext as _
from oidc_provider.lib.claims import ScopeClaims


class AuraScopeClaims(ScopeClaims):

    info_username = (
        _(u'username'),
        _(u'Your username.'),
    )

    def scope_username(self):
        dic = {
            'username': self.user.username,
            #'privileged': (self.user.is_staff or self.user.is_superuser)
            'privileged': (self.user.is_superuser)
        }

        return dic

    info_aura_shows = (
        _(u'AURA Shows'),
        _(u'AURA shows you have access to.'),
    )

    def scope_aura_shows(self):
        from program.models import Show

        # TODO: should add filter `is_active=True` ?
        public_show_slugs = list(Show.objects.filter(is_public=True).values_list('slug', flat=True))
        show_slugs = list(self.user.shows.all().values_list('slug', flat=True))
        dic = {
            'shows': show_slugs,
            'public-shows': public_show_slugs
        }

        return dic
